//
//  AppDelegate.swift
//  Amalgamation
//
//  Created by Charles Magahern on 10/8/17.
//

import UIKit

@UIApplicationMain
class AppDelegate : UIResponder, UIApplicationDelegate
{
    var window: UIWindow?

    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplicationLaunchOptionsKey: Any]?) -> Bool
    {
        self.window = UIWindow(frame: UIScreen.main.bounds)
        
        let settingsViewController = SettingsViewController()
        let navigationController = UINavigationController(rootViewController: settingsViewController)
        self.window?.rootViewController = navigationController
        
        self.window?.makeKeyAndVisible()
        return true
    }
}
