//
//  ColorExtensions.swift
//  Amalgamation
//
//  Created by Charles Magahern on 2/4/18.
//

import UIKit

extension UIColor
{
    convenience init(rgbValue: UInt) {
        self.init(red: CGFloat((rgbValue & 0xff0000) >> 16) / 255.0,
                  green: CGFloat((rgbValue & 0x00ff00) >> 8) / 255.0,
                  blue: CGFloat((rgbValue & 0x0000ff) >> 0) / 255.0,
                  alpha: 1.0)
    }
}
