//
//  StandardIO.swift
//  Amalgamation
//
//  Created by Charles Magahern on 12/31/15.
//

import Foundation

class StandardOutputStream : OutputStream
{
    static let shared = StandardOutputStream()
    
    func write(_ string: String)
    {
        let stdout = FileHandle.standardOutput
        stdout.write(string.data(using: String.Encoding.utf8)!)
    }
}

class StandardErrorOutputStream : OutputStream
{
    static let shared = StandardErrorOutputStream()
    
    func write(_ string: String)
    {
        let stderr = FileHandle.standardError
        stderr.write(string.data(using: String.Encoding.utf8)!)
    }
}
